/* pt - protest Types, pbc - protest by county*/

/* pt Types - Start */
.protest-master-container ul.horizontal-list {
  display: flex;
  padding-bottom: 3%;
  padding-right: 1%;
  font-size: 12px;
  color: #8F8F8F;
  cursor: pointer;
}

.protest-master-container ul.horizontal-list li:not(:last-child) {
  border-right: 1px solid #E6E6E6;
  color: #8F8F8F;
}

ul.horizontal-list li {
  padding: 0 8px;
  text-wrap: nowrap;
}

ul.horizontal-list .active {
  color: #27B24D !important;
}


.app-pt {
  border: 1px solid #8F8F8F;
  width: 100%;
  height: 180px;
  border-radius: 8px;
  margin-top: 10px;
  padding-left: 10px;
  font-size: 12px;
}

.app-pt .heading {
  padding-top: 7px;
  font-size: 14px;
}

.subheading {

  color: #27B24D;
  font-size: 13px;
  font-weight: 500;
}

.app-pt .subcard {
  display: flex;
  margin: 10px;
  justify-content: space-between;
}

.app-pt .subcard .earlypt-card,
.deadline-card,
.postdeadline-card,
.protested {
  border: 1px solid #93D8A6;
  height: 100px;
  width: 330px;
  margin-top: 7px;
  border-radius: 10px;
  justify-content: space-between;
  margin: 0 5px;
}

.app-pt .subcard .card-content {
  display: flex;
  align-items: center;
}

.app-pt .subcard .card-content .icon {
  margin-right: 10px;
  margin-left: 10px;
  background-color: #27B24D;
  color: white;
  border-radius: 50%;
  padding: 14px;
  font-size: 20px;

}

.app-pt .subcard .card-content .text-container {
  flex-direction: column;
  flex-grow: 1;
  padding-top: 20px;
}

.app-pt .subcard .card-content .text-container .label {
  display: flex;
  align-items: center;
  color: #606060;
  font-weight: 500;
  padding-bottom: 8px;
}

.app-pt .subcard .card-content .text-container .label .positive {
  display: flex;
  margin-left: auto;
  background-color: #D7FFE2;
  color: #27B24D;
  border-radius: 50px;
  margin-right: 10px;
  width: 58px;
  height: 20px;
  align-items: center;
  padding-left: 4%;

}

.app-pt .subcard .card-content .text-container .label .negative {
  display: flex;
  margin-left: auto;
  background-color: #FFD9D7;
  color: #FF0101;
  border-radius: 50px;
  margin-right: 10px;
  width: 58px;
  height: 20px;
  align-items: center;
  padding-left: 4%;
}

.app-pt .subcard .card-content .text-container .label .positive .negative .arrow {
  display: flex;
  width: 20px;
  margin-right: 5px;
  vertical-align: middle;
}

.app-pt .subcard .card-content .text-container .label .percent {
  font-size: 10px;
  vertical-align: middle;
  padding-left: 20%;
}

.app-pt .subcard .card-content .text-container .border {
  height: 1px;
  width: 95%;
  background-color: #C5C5C5;
  margin: 5px 0;
  justify-content: space-between;
}

.app-pt .subcard .card-content .text-container .number {
  color: #555;
  padding-top: 8px;
  font-size: 15px;
}

/* pt Types - End */

/* protest by county - Start */
.app-pbc {
  border: 1px solid #8F8F8F;
  width: 100%;
  /* height: 350px; */
  border-radius: 8px;
  margin-top: 10px;
  font-size: 12px;
  padding: 5px 10px 0 10px;
}

.app-pbc .pbc-container {

  justify-content: space-between;
  align-items: center;
  margin: 10px 0;
}

.app-pbc .heading {
  font-size: 14px;
}

.app-pbc .icon-container {
  display: flex;
  margin-bottom: 5px;
  gap: 5px;
  margin-top: -22px;
  padding-bottom: 5px;
}

.app-pbc .icon-container .icon {
  font-size: 30px;
  background-color: #27B24D;
  color: #FFFFFF;
  border-radius: 50px;
  padding: 5px;
  cursor: pointer;
}

.app-pbc .table-wrapper {
  border-radius: 10px;

  width: 100%;
}

.app-pbc .table {
  border-spacing: 0;
  border-collapse: collapse;
}

.app-pbc .table th {
  background-color: #00A69C;
  color: #FFFFFF;
  text-align: center;
  vertical-align: middle;
  font-size: 14px;
  font-weight: 600;
}

.app-pbc .table td {
  padding: 3px 10px;
  color: #606060;
  text-align: center;
  vertical-align: middle;
  border-bottom: none;
  border: 1px solid #ececec;
  transition: background-color 0.3s;
}

.app-pbc .table td:hover {
  background-color: #e2e2e2;
}

.app-pbc .table .protest-status-completed {
  color: #27B24D;
  padding: 3px 5px;
  background-color: #D7FFE2;
  border-radius: 50px;
}

.app-pbc .table .protest-status-removed {
  color: #FF0101;
  padding: 3px 5px;
  background-color: #FFD9D7;
  border-radius: 50px;
}

.app-pbc .table .document-display {
  display: flex;
  justify-content: space-around;
}

.app-pbc .table .edit-btn {
  font-size: 30px;
  color: #606060;
  cursor: pointer;
  border-radius: 50px !important;

}

.sort-option {
  width: 160px;
}

.sort-option .flex-row {
  display: flex;
  flex-direction: row-reverse !important;
  justify-content: start;
}

.app-pbc .table td .bold {
  font-weight: bold;
}

.app-pbc .table td .normal {
  font-weight: 400;
}

.app-pbc .table .modeicon {
  display: flex;
  font-size: 20px;
  color: #27B24D;
  justify-content: center;
  align-items: center;
}

.app-pbc .table .green-bg {
  background-color: #D7FFE2;
  color: #27B24D;
  border-radius: 50px;
  width: 100px;
  height: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 auto;
  font-weight: 500;
}

.app-pbc .table .red-bg {
  background-color: #FFD9D7;
  color: #FF0101;
  border-radius: 50px;
  width: 100px;
  height: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 auto;
  font-weight: 500;
}

.app-pbc .table .blue-bg {
  background-color: #CEE2FF;
  color: #0066FF;
  border-radius: 50px;
  width: 130px;
  height: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 auto;
  font-weight: 500;
}

.app-pbc .table .documents {
  display: flex;
  font-size: 20px;
  gap: 7px;
  color: #27B24D;
  justify-content: center;
  align-items: center;
}

.app-pbc .table .edit {
  background-color: #008CBA;
  color: #FFFFFF;
  border-radius: 50px;
  width: 60%;
  height: 25px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 auto;
  font-weight: 500;
  cursor: pointer;
}

.app-pbc .table .bg-tr {
  background-color: #F2F2F2;
}

.app-pbc .protest-search-container {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  margin-bottom: 20px;
  margin-top: 40px;
}

.mode-icon {
  /* font-size: 26px; */
  color: #27b24d;
  height: 34px;
}

/* protest by county - End */

/* protest process - Start */

/* extend section */

.extend-container-main {
  border: 1px solid #8F8F8F;
  border-radius: 8px;
  padding-left: 10px;
  font-size: 12px;
  margin-top: 2%;
  padding-top: 10px;
  padding-bottom: 10px;
}

.extend-container-main .exclude-button {
  color: #FF0101;


}

.excluded-list .table-wrapper {
  border-radius: 10px;
  overflow: hidden;
  width: 50%;
}

.excluded-list .table {
  border-spacing: 0;
  border-collapse: collapse;
}

.excluded-list .table th {
  background-color: #00A69C;
  color: #FFFFFF;
  text-align: center;
  vertical-align: middle;
}

.excluded-list .table td {
  padding: 10px;
  text-align: center;
  vertical-align: middle;
  border-bottom: none;
  border: 1px solid #ececec;
}

.extend-container .excluded-list .icon {
  color: red;
  cursor: pointer;
}

.exclude-section {
  margin-top: 10px;
  padding: 5px;
  border: 1px solid #8F8F8F;
  border-radius: 8px;
  text-align: center;
  width: 50%;
}

.exclude-section input {
  margin-right: 8%;
  padding: 5px;
  border: 1px solid #ccc;
  width: 30%;
  gap: 10%;
}

.exclude-section .add-button {
  margin: 5px;
  padding: 5px 10px;
  cursor: pointer;
  gap: 10%;
  background-color: #27B24D;
  color: white;
  border-radius: 10%;
}

.exclude-section .cancel-button {
  margin: 5px;
  padding: 5px 10px;
  cursor: pointer;
  gap: 10%;
  text-align: end;
  background-color: #008CBA;
  color: white;
  border-radius: 10%;
}

/* end extend section */

.app-main .main-content {
  display: flex;
  gap: 20px;
  margin-top: -5px;
  align-items: center;
  display: contents;
  width: 100%;
}

.protest-process {
  /* height: 88vh !important; */
  position: relative;
}


.main-content .content-dropdown {
  padding: 4px 10px;
  background-color: #F2F2F2;
  color: #27B24D;
  font-weight: 500;
  border-radius: 4px;
  cursor: pointer;
}

.main-content .content-dropdown.active {
  background-color: #27B24D;
  color: white;
  padding: 4px 10px;
  border-radius: 4px;
  font-weight: 500;
  cursor: pointer;
  font-size: 14px;
}



.main-content .post-deadline {
  padding: 4px;
  padding-left: 8px;
  padding-right: 10px;
  background-color: #F2F2F2;
  color: #27B24D;
  border-radius: 4px;
  cursor: pointer;
  font-weight: 500;

}

.main-content .post-deadline.active {
  background-color: #27B24D;
  color: #ffffff;

}

.content-icon {
  display: flex;
  gap: 15px;
  margin-left: auto;
  position: absolute;
  top: 10px;
  right: 20px;
  align-items: center;
}

.icon-1,
.icon-2 {
  font-size: 20px;
  border-radius: 50%;
  background-color: #27B24D;
  color: white;
  height: 30px;
  width: 30px;
  justify-content: center;
  align-items: center;
  padding: 5px;
  cursor: pointer;
}

.app-ps {
  border: 1px solid #8F8F8F;
  width: 100%;
  height: 300px;
  border-radius: 8px;
  padding-left: 10px;
  font-size: 12px;
  /* padding-top: 5px; */

}

.app-ps .pbc-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 10px;
  margin-right: 25px;
  margin-top: 5px;
}

.container-dropdown {
  display: flex;
  gap: 20px;
  color: #555;
  width: 100%;
  /* align-content: space-around; */
  justify-content: space-between;
}

.main-dropdown {
  display: flex;
  gap: 40px;
  color: #555;
  ;
  margin-top: 18px;
  font-size: 12px;
  width: 100%;
  margin-left: 5px;

}

.main-dropdown .dropdown-main {
  border: 1px solid #D7D7D7;
  padding: 8px;
  width: 250px;
  background-color: #EEEEEE;
}

.filter-icon-container {
  position: relative;
}

.filter-count {
  position: absolute;
  top: -8px;
  right: -8px;
  background: #606060;
  width: 20px;
  height: 20px;
  justify-content: center;
  display: flex;
  align-items: center;
  border-radius: 50%;
  color: #fff;
  border: 2px solid #fff;
}

.dropdown-select {
  width: 250px;
  background-color: #EEEEEE;
  border-radius: 4px;
  z-index: 99999;

}

.dropdown-select option {
  color: black;
  z-index: 99999;

}

.mode-dropdown {
  z-index: 99999;
  position: absolute;
}

.mode-dropdown option {
  z-index: 99999;
  position: absolute;
}

.container-dropdown .save-btn {
  /* padding-left: 15px;
  padding-right: 15px; */
  background-color: #27B24D;
  color: white;
  border-radius: 4px;
  text-wrap: nowrap;
  padding: 5px 10px;

}

.prop-dropdown {
  background-color: #EEEEEE;
  border: 1px solid #D7D7D7;
  position: relative;
  cursor: pointer;
}

.prop-dropdown .dropdown-toggle {
  padding: 0 10px;
  /* Adjust padding as needed */
  margin-left: auto;
  /* Move the icon to the right */
}

.prop-button {
  background-color: #27B24D;
  color: white;
  padding: 5px 15px;
  cursor: pointer;
  border-radius: 5px;
  /* margin-bottom: 90px; */
  height: 40px;
  width: 120px;
  font-size: 12px;
}

.filter-item {
  display: flex;
  align-items: center;
  gap: 5px;
  padding: 5px 10px;
  border: 1px solid #D7D7D7;
  cursor: pointer;
  background-color: #EEEEEE;
  margin-top: -95px;
  width: 270px;
  height: 40px;
  font-size: 12px;
}

.toggle-switch {
  position: relative;
  width: 50px;
  display: inline-block;
  text-align: left;
  top: 8px;
  left: 5px;
  margin-bottom: 15px;

}

.toggle-input {
  display: none;
}

.toggle-input:checked+.toggle-label {
  background-color: #27B24D;
}

.toggle-label {
  display: block;
  overflow: hidden;
  cursor: pointer;
  border: 1px solid #000;
  background-color: #fff;
  border-radius: 8px;
  height: 25px;
}

.toggle-label .toggle-button {
  display: block;
  width: 19px;
  height: 19px;
  margin: 2px;
  background: #27B24D;
  border-radius: 20px;
  border: 1px solid white;
  transition: 0.3s;
}

.toggle-input:checked+.toggle-label .toggle-button {
  transform: translateX(24px);
  background: #fff;
}

.protest-screen {
  padding: 2% 2%;
  padding-left: 3%;
  padding-right: 3%;
}

.label-container {
  display: flex;
  gap: 20px;
  margin-top: -40px;
  margin-left: -50px;
  font-size: 14px;
}

.first-label {
  display: inline-flex;
  align-items: center;
  padding: 6px;
  cursor: pointer;
  border-radius: 5px;
  background-color: #EEEEEE;
  color: #27B24D;
}

.first-label-logo {
  margin-left: 10px;
}

.first-label:hover {
  background-color: #27B24D;
  color: white;
}

.dropdown-menus {
  position: absolute;
  display: flex;
  gap: 20px;
  align-items: center;
  margin-top: 95px;
  justify-content: space-between;
  margin-left: -270px;
}

.dropdown-types {
  display: flex;
  align-items: center;
  gap: 5px;
  padding: 5px 10px;
  border: 1px solid #D7D7D7;
  cursor: pointer;
  background-color: #EEEEEE;
  margin-top: -95px;
  width: 270px;
  height: 40px;
  font-size: 12px;
}

.dropdown-types:hover {
  background-color: #27B24D;
  color: white;
}

.dropdown-types:hover .filter-item-logo1 {
  color: white;
}

.Multiselector {
  position: fixed;
  top: 88px;
  left: 1500px;
  margin-left: 0;
  border: 1px solid #D7D7D7;
  background-color: #EEEEEE;
  padding: 8px 8px;
  width: 220px;
  font-size: 12px;
}

.Multiselector:hover {
  background-color: #27B24D;
  color: white;
}

.multiselector-filter-item {
  position: absolute;
  right: 0;
  color: #27B24D;
  font-size: 17px;
  margin-top: -15px;
  margin-right: 10px;
}

.Multiselector:hover .multiselector-filter-item {
  color: white;
}

.label-container-logo {
  position: absolute;
  display: flex;
  right: 18px;
  padding: 10px;
}

.label-container-logo-upload,
.label-container-logo-clock {
  font-size: 20px;
  border-radius: 50px;
  background-color: #27B24D;
  color: white;
  height: 30px;
  width: 30px;
  padding: 5px;
  margin-top: -10px;
  margin-right: 10px;
}

.label-container-logo-clock {
  margin-left: 10px;
}

.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
}

.dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

.main-container {
  border: 1px solid #8F8F8F;
  border-radius: 5px;
  margin-top: 100px;
  width: 107%;
  margin-left: -50px;
  padding-left: 15px;
  padding-right: 15px;
  margin-top: 20px;
}

.filter-container {
  display: flex;
  gap: 20px;
  align-items: center;
  /* margin-top: 15px; */
  justify-content: space-between;
}

.filter-item {
  display: flex;
  align-items: center;
  gap: 5px;
  padding: 5px 10px;
  border: 1px solid #D7D7D7;
  cursor: pointer;
  background-color: #EEEEEE;
  margin-top: -95px;
  width: 270px;
  height: 40px;
  font-size: 12px;
}


.filter-item:hover {
  background-color: #27B24D;
  color: white;
}

.filter-item-logo1,
.filter-item-logo2,
.filter-item-logo3,
.filter-item-logo4,
.filter-item-logo5 {
  position: absolute;
  color: #27B24D;
  font-size: 17px;
  margin-left: 170px;
}

.filter-item:hover .filter-item-logo1,
.filter-item:hover .filter-item-logo2,
.filter-item:hover .filter-item-logo3,
.filter-item:hover .filter-item-logo4,
.filter-item:hover .filter-item-logo5 {
  color: white;
}

.save-filter-button {
  background-color: #27B24D;
  color: white;
  padding: 5px 15px;
  cursor: pointer;
  border-radius: 5px;
  /* margin-bottom: 90px; */
  height: 40px;
  width: 120px;
  font-size: 12px;
}

.save-filter-button:hover {
  font-weight: bold;
}

.table-container {
  border: 1px solid #8F8F8F;
  border-radius: 10px;
  overflow: hidden;
  margin-top: -75px;
  width: 100%;
  justify-content: space-between;
}

.styled-table {
  width: 100%;
  border-collapse: collapse;
}

.styled-table th,
.styled-table td {
  padding: 8px;
  text-align: center;
  border-bottom: 1px solid #ccc;
  border-right: 1px solid #ccc;
}

.styled-table .checkbox-cell {
  /* display: flex; */
  justify-content: center;
  align-items: center;
}

.styled-table th {
  background-color: #00A69C;
  color: white;
}

.styled-table th:last-child,
.styled-table td:last-child {
  border-right: none;
}



.pagination-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px;
  background-color: #ffffff;
}

.pagination-container p {
  color: #606060;
  font-size: 12px;
  margin-left: -9px;
  font-weight: 300;
}

.pagination-container p span {
  font-weight: bold;
  font-size: 13px;
}

.app-pbc .pagination-container {
  position: sticky !important;
  bottom: 0;
}

.go-to-page {
  display: flex;
  align-items: center;
  gap: 5px;
  font-size: 12px;
  margin-right: 10px;
  font-weight: 400;
}

.go-to-page .go {
  font-weight: bold;
}

.go-to-page input {
  width: 40px;
  height: 25px;
  background-color: #E9E9E9;
}

.go-icon {
  position: absolute;
  right: 0;
  font-size: 17px;
  color: #27B24D;
  margin-right: 50px;
  margin-top: -17px;
}

.selected-details {
  display: flex;
  align-items: center;
  gap: 20px;
  background-color: #606060;
  justify-content: space-between;

  width: 100%;
  padding: 10px;
}

.selected-details span {
  color: #fff;
}

.selected-details span a {
  color: #78e717 !important;
}

.selected-details input {
  height: 40px;
  border-radius: 3px;
  padding: 0 5px;
}

.sd1-h1,
.sd2-h1 {
  color: white;
  display: flex;
  margin: 0;
  padding-left: 20px;
  font-size: 13px;
  letter-spacing: 1px;
}

.sd1-h1 input,
.sd2-h1 input {
  height: 30px;
  margin-left: 8px;
  color: black;
  width: 200px;
}

.sd2-h1 input {
  width: 230px;
}

.toggle-text {
  letter-spacing: 1px;
  color: white;
  margin-left: 10px;

}

.date-picker-container {
  display: flex;
  align-items: center;
  gap: 10px;
  color: white;
}

.calendar-icon {
  z-index: 2;
  position: absolute;
  cursor: pointer;
  font-size: 18px;
  color: green;
  margin-left: 60px;
}

.button-container {
  display: flex;
  gap: 10px;
  justify-content: center;
  text-align: center;
  width: 200px;
}

.button {
  padding: 7px 30px;
  border: none;
  cursor: pointer;
  font-weight: bold;
}

.cancel-button {
  background-color: #008CBA;
  color: #fff;
}

.protest-button {
  background-color: #27B24D;
  color: #fff;
}

.protest-search-container .date-picker {
  width: 100% !important;
}

.date-picker {
  height: 30px;
  z-index: 1;
  color: black;
  padding-left: 40px;
  width: 200px;
  border: 1px solid hsl(0, 0%, 80%) !important;
  padding: .550rem .75rem !important;
  height: 38px !important;
  border-radius: 7px;
}

.date-picker:focus-visible,
.react-datepicker__input-container:focus-visible,
.react-datepicker-wrapper:focus-visible {
  border-color: hsl(0, 0%, 80%) !important;
  border-radius: 7px;
}

.react-datepicker-wrapper {
  display: block !important;
}

.selected-main {
  border: 1px solid #8F8F8F;
  margin-top: 20px;
  background-color: #EEEEEE;
  padding-top: 0;
  border-radius: 6px;
  position: absolute;
  width: 96%;
  bottom: 20px;
}

.selected-details .form-btn {
  justify-content: center;

}

.selected-container {
  justify-content: space-between;
  width: 101.2%;
}

.react-tabs__tab--selected {
  background-color: #27B24D !important;
  color: white !important;
  padding: 8px 12px !important;
  border-radius: 10px 10px 0 0;

}

.react-tabs__tab {
  background-color: #f2f2f2;
  color: #27b24d;
  padding: 4px 12px !important;
  margin-right: 3px;
  border-radius: 10px 10px 0 0;
}

/* protest process - End */

/* protest schedule - Start */
.app-ps {
  border: 1px solid #8F8F8F;
  width: 100%;
  height: 350px;
  border-radius: 8px;
  padding-left: 12px;
  font-size: 12px;
  padding-top: 5px;
}

.app-ps .ps-container {
  margin-bottom: 10px;
  margin-top: 5px;
}

.app-ps .icon-container {
  display: flex;
  gap: 10px;
  justify-content: end;
  margin-right: 1%;
}

.app-ps .icon-container .icon {
  font-size: 30px;
  background-color: #27B24D;
  color: #FFFFFF;
  border-radius: 50px;
  padding: 5px;
  cursor: pointer;
  justify-content: flex-end;
}

.app-ps .table-wrapper {
  border-radius: 10px;
  overflow: none;
  width: 99%;
}

.app-ps .table {
  border-spacing: 0;
  border-collapse: collapse;
}

.app-ps .table th {
  background-color: #00A69C;
  color: #FFFFFF;
  text-align: center;
  vertical-align: middle;
}

.app-ps .table td {
  padding: 10px;
  text-align: center;
  vertical-align: middle;
  border-bottom: none;
  border: 1px solid #ececec;
  transition: background-color 0.3s;
}

.app-ps .table td:hover {
  background-color: #e2e2e2;
}

.app-ps .table td .bold {
  font-weight: bold;
}

.app-ps .table td .normal {
  font-weight: 400;
}

.app-ps .table .modeicon {
  display: flex;
  font-size: 20px;
  color: #27B24D;
  justify-content: center;
  align-items: center;
}

.app-ps .table .green-bg {
  background-color: #D7FFE2;
  color: #27B24D;
  border-radius: 50px;
  width: 100px;
  height: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 auto;
  font-weight: 500;
}

.app-ps .table .red-bg {
  background-color: #FFD9D7;
  color: #FF0101;
  border-radius: 50px;
  width: 100px;
  height: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 auto;
  font-weight: 500;
}

.app-ps .table .blue-bg {
  background-color: #CEE2FF;
  color: #0066FF;
  border-radius: 50px;
  width: 130px;
  height: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 auto;
  font-weight: 500;
}

.app-ps .table .bg-tr {
  background-color: #F2F2F2;
}

.pagination-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px;
  background-color: #ffffff;
}

.pagination-container p {
  color: #606060;
  font-size: 12px;
  margin-left: -9px;
  font-weight: 300;
}

.pagination-container p span {
  font-weight: bold;
  font-size: 13px;
}

.go-to-page {
  display: flex;
  align-items: center;
  gap: 5px;
  font-size: 12px;
  margin-right: 10px;
  font-weight: 400;
}

.go-to-page .go {
  font-weight: bold;
  margin-right: 8px;
}

.go-to-page input {
  width: 40px;
  height: 25px;
  background-color: #E9E9E9;
}

.go-icon {
  position: absolute;
  right: 0;
  font-size: 17px;
  color: #27B24D;
  margin-right: 50px;
  margin-top: -17px;
}


.edit-icon {
  font-size: 16px;
  cursor: pointer;
  color: #000;
}

tbody,
td,
tfoot,
th,
thead,
tr {
  /* z-index: 1000 !important; */
}

/* protest schedule - End */


/* Filter-style-here */

.filter-form-container {
  border: 1px solid #8F8F8F;
  border-radius: 10px;
  padding: 15px;
  width: 100%;
  margin-top: 20px;
  margin-bottom: 20px;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.filter-form-container-form-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 15px;
}

.filter-form-container-form-grid-form-group {
  display: flex;
  flex-direction: column;
}

.filter-form-container-form-grid-form-group label {
  color: #354849;
  font-size: 12px;
  font-weight: 600;

}

.filter-form-container-form-grid-form-group-form-control {
  padding: 8px;
  border: 1px solid #d1d1d1;
  border-radius: 5px;
}
 

.form-buttons {
  grid-column: span 4;
  display: flex;
  justify-content: flex-end;
  gap: 10px;
}

.clear-btn {
  background-color: #b3b6b9;
  color: #212529;
  padding: 5px 15px;
  border: none;
  border-radius: 6px;
  cursor: pointer;
  font-size: 14px;
  font-weight: 600;
  transition: background-color 0.3s;
}

.search-btn {
  background-color: #28a745;
  color: #fff;
  padding: 5px 15px;
  border: none;
  border-radius: 6px;
  cursor: pointer;
  font-size: 14px;
  font-weight: 600;
  transition: background-color 0.3s;
}

.custom-select-wrapper-input {
  width: 100%;
  padding-right: 20px;
  appearance: none;
  height: 40px;
  border: 1px solid hsl(0, 0%, 80%);
  border-radius: 4px;
  padding: 4px 8px;
}

.error-message {
  color: red;
  font-size: 10px;
}
.rdrDefinedRangesWrapper {
  display: none !important;
}
/* Filter style end */


/* Date Picker Style */

.date-range-container {
  position: relative;
  width: 400px;
  margin: 0 auto;
}

.date-range-input:hover,
.date-range-input:focus {
  border-color: #007bff;
  outline: none;
  background-color: #ffffff;
}

.calendar-container {
  position: absolute;
  border: 1px solid #ccc;
  background: white;
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
  border-radius: 4px;
  z-index: 999;
  left: 0;
  right: 0;
  width: 400px;
}

.close-calendar-btn {
  color: red;
  border: none;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 24px;
  cursor: pointer;
  transition: background-color 0.3s ease;
  margin-left: auto;
}

.calendar-container-calender {
  position: relative;
  width: 80%;
  max-width: 600px;
  padding: 20px;
  border-radius: 8px;
  margin-top: -35px;
  margin-left: 10px;
}


/* input range style is here */

.custom-select-wrapper-input:focus {
  border: 2px solid #007bff;
  outline: none;
}

.input-range-container {
  position: relative;
  width: 400px; 
  margin: 0 auto;
}

.custom-select-wrapper-input {
  padding: 8px;
  border: 1px solid #ccc;
  border-radius: 4px;
  width: 100%;
}
.range-input-section {
  display: flex;
  justify-content: space-between;


}
.range-input-container {
  position: absolute;
  top: 100%;
  left: 0;
  right: 0;
  background-color: white;
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
  border: 1px solid #ccc;
  border-radius: 4px;
  z-index: 999;
  display: flex;
  justify-content: space-between;
  padding: 8px;
}

.range-input {
  flex: 1;
  margin: 0 5px;
}

.range-input input {
  width: 100%;
  border-radius: 4px;
  padding: 8px;
}

.range-input input:first-child {
  border-radius: 4px 0 0 4px; 
}

.range-input input:last-child {
  border-radius: 0 4px 4px 0;
}

.custom-select-wrapper-input::placeholder {
  color: rgb(167, 167, 167); 
}





